# Uses of Interface
com.sun.source.doctree.SummaryTree

Packages that use SummaryTree
Package
Description
com.sun.source.doctree
Provides interfaces to represent documentation comments as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of SummaryTree in com.sun.source.doctree

Methods in com.sun.source.doctree with parameters of type SummaryTree
Modifier and Type
Method
Description
`default R`
DocTreeVisitor.`visitSummary(SummaryTree node, P p)`
Visits a `SummaryTree` node.

## Uses of SummaryTree in com.sun.source.util

Methods in com.sun.source.util that return SummaryTree
Modifier and Type
Method
Description
`default SummaryTree`
DocTreeFactory.`newSummaryTree(List<? extends DocTree> summary)`
Creates a new `SummaryTree` object, to represent a `{@summary }` tag.
Methods in com.sun.source.util with parameters of type SummaryTree
Modifier and Type
Method
Description
`R`
DocTreeScanner.`visitSummary(SummaryTree node, P p)`
Visits a `SummaryTree` node.
`R`
SimpleDocTreeVisitor.`visitSummary(SummaryTree node, P p)`
Visits a `SummaryTree` node.